org.apache.xmlgraphics.java2d.ps

## Interface PSTextHandler

- All Superinterfaces:
    TextHandler

      public interface PSTextHandler
      extends TextHandler

  Interface which the Graphics2D class delegates text painting to for Postscript.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writePageSetup()` Is called by when a "PageSetup" section of the PostScript document is generated.
    `void` | `writeSetup()` Is called by when the "Setup" or "Prolog" of the PostScript document is generated.

    - ### Methods inherited from interface org.apache.xmlgraphics.java2d.TextHandler

      `drawString`

- - ### Method Detail

    - #### writeSetup

          void writeSetup()
                   throws java.io.IOException

      Is called by when the "Setup" or "Prolog" of the PostScript document is generated. Subclasses can do font registration, for example.
      Throws:
        `java.io.IOException` - In case of an I/O error

    - #### writePageSetup

          void writePageSetup()
                       throws java.io.IOException

      Is called by when a "PageSetup" section of the PostScript document is generated. Subclasses can do some font initialization if necessary.
      Throws:
        `java.io.IOException` - In case of an I/O error

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.